#!/usr/bin/python
import os, sys, csv, string
# execfile() - per comandi in batch
#
# os.system('ls')
# comando="less " + str(nome)
# os.system(comando)
#
# ### --- passi della simulazione ---
# 1) generare i dati - comando: bubble.py
# 2) ricostruire il centroide generale - comando: geoprofiling.py
# 3) eseguire le kmedie - comando : kmeans.py
# 4) eseguire il voronoi - comando: voronoy.py
# 5) eseguire la ricostruzione cluster per cluster.... - comando geoprof...c
# ------------------------------------------------------------------------------
#
# Esegue la generazione dei dati fantoccio
#
ESEGUI=True
NUM_CLUST=5
NUM_POINT_X_CLUST=15
STD_DEV=1.1
BASE_NAME="out.csv"
FILE_NAME="miei_"+str(NUM_CLUST)+"_clust_"+BASE_NAME
DATA_FILE="dati.csv"
MAP_NAME="mappa.png"
print " "
print "eseguo la generazione dei dati fantoccio"
comando="python bubble_1.1.py "+ str(NUM_CLUST)+" "+str(NUM_POINT_X_CLUST)+" "+str(STD_DEV)+" "+FILE_NAME
print comando
print " "
if ESEGUI:
 os.system(comando)
#
# eseguo il voronoi sui dati simulati
#
print "eseguo il voronoi sui dati simulati"
comando="python voronoi1_38.py mappa.png "+ str(NUM_CLUST) +" "+FILE_NAME
print comando
print " "
if ESEGUI:
 os.system(comando)
#
# copia i dati del fatoccio nel file dei dati del geo profiling
#
print "copio i dati dei punti"
comando="cp "+FILE_NAME+" "+DATA_FILE
print comando
print " "
if ESEGUI:
 os.system(comando)
#
# esegue la ricostruzione su tutti i dati
#
print "eseguo la ricostruzione"
comando="python Geoprof2_0_5csv.py "+ MAP_NAME +" "+DATA_FILE+" risults B E 10 0.4 0.4"
print comando
print " "
if ESEGUI:
 os.system(comando)
#
#
#
print "calcolo le k medie"
comando="python kmeans0_57.py "+DATA_FILE+" "+ str(NUM_CLUST) +" N"
print comando
print " "
if ESEGUI:
 os.system(comando)
#
# esegue il voronoy 
#
print "eseguo il voronoi sui dati clusterizzati"
comando="python voronoi2.0.py "+ MAP_NAME +" "+ str(NUM_CLUST) +" "+DATA_FILE
print comando
print " "
if ESEGUI:
 os.system(comando)
#
# mettere qui i codici per fare le ricostruzioni dei centroidi dei sigoli cluster
#
print "eseguo il geoproliling sui singoli cluster"
for i in range (NUM_CLUST):
    comando="python Geoprof2_0_5csv.py "+ MAP_NAME +" cluster"+str(i+1)+"di"+str(NUM_CLUST)+DATA_FILE+".txt risults"+str(i+1)+"clust B E 10 0.4 0.4"
    print comando 
    print " "
    if ESEGUI:
        os.system(comando)
print "\nfine"
